Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::enumerate_fn Struct Reference
Iterator
Inheritance diagram for ranges::enumerate_fn:

## Public Member Functions
template<typename Rng >
std::pair< range_difference_t< Rng >, iterator_t< Rng > > | operator() (Rng &&rng) const
Public Member Functions inherited from ranges::iter_enumerate_fn
template<typename I , typename S >
constexpr std::pair< iter_difference_t< I >, I > | operator() (I first, S last) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng >

std::pair<range_difference_t<Rng>, iterator_t<Rng> > ranges::enumerate_fn::operator() | ( | Rng && | rng | ) | const

Precondition
  requires `range<Rng>`